import 'package:example/button_section.dart';
import 'package:example/colors_section.dart';
import 'package:example/fonts_section.dart';
import 'package:example/inputs_section.dart';
import 'package:example/search_section.dart';
import 'package:example/small_button_section.dart';
import 'package:flutter/material.dart';
import 'package:ui_kit/ui_kit.dart';

void main() {
  runApp(const MainApp());
}

class MainApp extends StatelessWidget {
  const MainApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      color: whiteColor,
      home: Scaffold(
        backgroundColor: whiteColor,
        body: SingleChildScrollView(
          child: Container(
            margin: EdgeInsets.symmetric(horizontal: width(context) * 5),
            child: Column(
              children: [
                ColorsSection(),
                FontsSection(),
                InputsSection(),
                SearchSection(),
                ButtonSection(),
                SmallButtonSection(),
                TabBarWidget(),
              ],
            ),
          ),
        ),
      ),
    );
  }
}
